11 Replies Latest reply on Nov 22, 2010 4:53 AM by Michael Dyrda

    Using RichFaces 3.1.6

    E Aish Novice

      Hi,

      Can you please Let me know the software version that are supported by RichFaces 3.1.6. I referred to the richfaces_reference.pdf that comes with 3.1.6. Under Technical support in chapter 2, it only states that Richfaces 3.1.0 version and not 3.1.6.

      I would like to know if Richfaces supports JSF 1.2 or it supports JSF 1.1?

      The reason for my question is that I am using IBM RAD 7 as our development tool. I am also using RichFaces 3.1.3. RAD supports JSF 1.1. If RichFaces 3.1.6 can support JSF 1.1, then I can upgrade from RichFaces 3.1.3 to 3.1.6.

      Your information will be helpful to upgrade.

      Thanks
      Aish

        • 1. Re: Using RichFaces 3.1.6
          mario buonopane Newbie

          I'm using 3.1.6 with JSF 1.1 (and WebSphere 6.1 and RAD 7) and does work.

          Ciao
          Mario

          • 2. Re: Using RichFaces 3.1.6
            Ilya Shaikovsky Master

            Yes, 3.1.x - the only JSF 1.1 compatible branch.

            • 3. Re: Using RichFaces 3.1.6
              E Aish Novice

              Hi,

              I was developing using RichFaces 3.1.3. Now, I upgraded to RichFaces 3.1.6. For the upgrade, I removed the three Richfaces "3.1.3.jar" files from the web-inf\lib follder and replaced them with three "3.1.6.jar" files.

              I tried to run the application. The pages that worked fine with 3.1.3 jar files are not working with 3.1.6 files.

              Please let me know if I am missing during the upgrade to 3.1.6 version.

              Thanks
              Aish

              • 4. Re: Using RichFaces 3.1.6
                Alvin Fenrnandez Newbie

                Yes. 3.1.x only is the one that supports JSF 1.1 It will not work with JSF 1.2

                • 5. Re: Using RichFaces 3.1.6
                  E Aish Novice

                  Thanks for responding. That's why I upgraded to 3.1.6. It is not working for me. Please see my earlier post.

                  ==

                  Can you please Let me know the software version that are supported by RichFaces 3.1.6. I referred to the richfaces_reference.pdf that comes with 3.1.6. Under Technical support in chapter 2, it only states that Richfaces 3.1.0 version and not 3.1.6.

                  I would like to know if Richfaces supports JSF 1.2 or it supports JSF 1.1?

                  The reason for my question is that I am using IBM RAD 7 as our development tool. I am also using RichFaces 3.1.3. RAD supports JSF 1.1. If RichFaces 3.1.6 can support JSF 1.1, then I can upgrade from RichFaces 3.1.3 to 3.1.6.

                  Your information will be helpful to upgrade.



                  • 6. Re: Using RichFaces 3.1.6
                    E Aish Novice

                    Thanks for responding. That's why I upgraded to 3.1.6. It is not working for me.

                    I was developing using RichFaces 3.1.3. Now, I upgraded to RichFaces 3.1.6. For the upgrade, I removed the three Richfaces "3.1.3.jar" files from the web-inf\lib follder and replaced them with three "3.1.6.jar" files.

                    I tried to run the application. The pages that worked fine with 3.1.3 jar files are not working with 3.1.6 files.

                    Please let me know if I am missing during the upgrade to 3.1.6 version.

                    Thanks
                    Aish


                    • 7. Re: Using RichFaces 3.1.6
                      Nick Belaevski Master

                       

                      "Aish" wrote:
                      Thanks for responding. That's why I upgraded to 3.1.6. It is not working for me. Please see my earlier post.

                      ==

                      Can you please Let me know the software version that are supported by RichFaces 3.1.6. I referred to the richfaces_reference.pdf that comes with 3.1.6. Under Technical support in chapter 2, it only states that Richfaces 3.1.0 version and not 3.1.6.

                      I would like to know if Richfaces supports JSF 1.2 or it supports JSF 1.1?

                      The reason for my question is that I am using IBM RAD 7 as our development tool. I am also using RichFaces 3.1.3. RAD supports JSF 1.1. If RichFaces 3.1.6 can support JSF 1.1, then I can upgrade from RichFaces 3.1.3 to 3.1.6.

                      Your information will be helpful to upgrade.





                      RichFaces:
                      - 3.1.x - JSF 1.1 and 1.2 supported
                      - 3.2.x - JSF 1.2 only supported

                      Can you please be more precise about your pages: what exactly is not working?

                      • 8. Re: Using RichFaces 3.1.6
                        E Aish Novice

                        Hi,

                        When I upgraded from RF 3.1.3 to RF 3.1.6 (by copying the three jar files in the web-inf\lib folder) and run the application, the pages are not displayed. There are no error messages. I see the first menu page which is developed using html. When I click on the menu item that should open pages developed using RF components , instead the pages are not opened. There are no error page/message displayed. Simply nothing happens when I click on the menu item.

                        May be it is not recognizing the the new 3.1.6 jar files. Please help

                        Thanks
                        Aish

                        • 9. Re: Using RichFaces 3.1.6
                          Michael Dyrda Newbie

                          Hi. I encountered a similar problem migrating from RF 3.1.5 to 3.1.6. Did anyone manage to find a solution?

                          Thanks

                          Michael

                          • 10. Re: Using RichFaces 3.1.6
                            Ilya Shaikovsky Master

                            check for JS errors or errors in server log.

                            • 11. Re: Using RichFaces 3.1.6
                              Michael Dyrda Newbie

                              No JS errors.

                               

                              But now I noticed a strange error in server log I ignored earlier: "A WebGroup/Virtual Host to handle /favicon.ico has not been defined.". It does not occur while using RF 3.1.5. I'll google for it, maybe this is it...